Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.factory
Class DefaultButtonFactory

    java.lang.Object
      com.pietschy.command.factory.DefaultButtonFactory

All Implemented Interfaces:
  ButtonFactory, Factory

    public class DefaultButtonFactory

extends java.lang.Object
implements ButtonFactory

Default implementation of `ButtonFactory`. This factory creates standard swing buttons.

Constructor Summary
`DefaultButtonFactory()`

Method Summary
`javax.swing.JButton` | `createButton()` Creates a new `JButton`.
`javax.swing.JCheckBox` | `createCheckBox()` Creates a new `JCheckBox`.
`javax.swing.JRadioButton` | `createRadioButton()` Creates a new `JRadioButton`.
`javax.swing.AbstractButton` | `createToggleButton()` Creates a new `JToggleButton`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultButtonFactory

    public DefaultButtonFactory()

Method Detail

### createButton

    public javax.swing.JButton createButton()

  Creates a new `JButton`.

  Specified by:
    `createButton` in interface `ButtonFactory`
  Returns:
    a new `JButton`.

### createCheckBox

    public javax.swing.JCheckBox createCheckBox()

  Creates a new `JCheckBox`.

  Specified by:
    `createCheckBox` in interface `ButtonFactory`
  Returns:
    a new `JCheckBox`.

### createRadioButton

    public javax.swing.JRadioButton createRadioButton()

  Creates a new `JRadioButton`.

  Specified by:
    `createRadioButton` in interface `ButtonFactory`
  Returns:
    a new `JRadioButton`.

### createToggleButton

    public javax.swing.AbstractButton createToggleButton()

  Creates a new `JToggleButton`.

  Specified by:
    `createToggleButton` in interface `ButtonFactory`
  Returns:
    a new `JToggleButton`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch